<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.rj.mapper.AudioManagementSegmentsMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.rj.entity.AudioManagementSegments">
        <id     column="id"                       property="id"/>
        <result column="parent_id"               property="parentId"/>
        <result column="tenant_id"               property="tenantId"/>
        <result column="recording_name"          property="recordingName"/>
        <result column="chunk_index"             property="chunkIndex"/>
        <result column="deviceNo"                property="deviceNo"/>
        <result column="recording_time"          property="recordingTime"/>
        <result column="info_card_description"   property="infoCardDescription"/>
        <result column="sales_id"                property="salesId"/>
        <result column="sales_phone"             property="salesPhone"/>
        <result column="sales_name"              property="salesName"/>
        <result column="duration"                property="duration"/>
        <result column="upload_time"             property="uploadTime"/>
        <result column="intention_level"         property="intentionLevel"/>
        <result column="dealership_id"           property="dealershipId"/>
        <result column="dealership_name"         property="dealershipName"/>
        <result column="scenario"                property="scenario"/>
        <result column="upload_status"           property="uploadStatus"/>
        <result column="sync_status"             property="syncStatus"/>
        <result column="is_merged"               property="isMerged"/>
        <result column="remarks"                 property="remarks"/>
        <result column="start_time"              property="startTime"/>
        <result column="end_time"                property="endTime"/>
        <result column="create_time"             property="createTime"/>
        <result column="audio_file_path"         property="audioFilePath"/>
        <result column="audio_file_url"          property="audioFileUrl"/>
        <result column="audio_file_size"         property="audioFileSize"/>
        <result column="audio_file_original_name" property="audioFileOriginalName"/>
        <result column="audio_file_extension"    property="audioFileExtension"/>
        <result column="recording_text"          property="recordingText"/>
        <result column="summary"                 property="summary"/>
        <result column="need_transcribe"         property="needTranscribe"/>
        <result column="transcribe_request_time" property="transcribeRequestTime"/>
        <result column="transcribe_end_time"     property="transcribeEndTime"/>
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id,
        parent_id,
        tenant_id,
        recording_name,
        chunk_index,
        deviceNo,
        recording_time,
        info_card_description,
        sales_id,
        sales_phone,
        sales_name,
        duration,
        upload_time,
        intention_level,
        dealership_id,
        dealership_name,
        scenario,
        upload_status,
        sync_status,
        is_merged,
        remarks,
        start_time,
        end_time,
        create_time,
        audio_file_path,
        audio_file_url,
        audio_file_size,
        audio_file_original_name,
        audio_file_extension,
        recording_text,
        summary,
        need_transcribe,
        transcribe_request_time,
        transcribe_end_time
    </sql>

</mapper>

